Deactivate a User
post
/public/v1/users/{user}/deactivateSigns the user out everywhere and stops them signing in. They are removed as primary and
service coordinator and unassigned from their future shifts, and the user.deactivated
webhook is sent. employment_end_date defaults to today in the provider's timezone.
Refuses with a 409 when the user is already deactivated, or still holds public API keys, and with a 403 for the account owner.
userstringrequiredThe user UUID
Body
application/jsonemployment_end_datestring<date> | nullexit_detailsstring | nullmax length 65535Limited to 65535 bytes.
Response
200application/jsonUserResource
dataobjectrequired▶Show 6 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6efirst_namestringrequiredExample:Johnlast_namestringrequiredExample:DoeemailstringrequiredExample:john.doe@example.comstatusenum<string>requiredAvailable options:activedeactivatedinvitedrestrictedemployment_titlestring | nullrequiredExample:Service Manager
401Unauthenticated403Authorization error404Not found409An error422Validation error